Summary: A security tool which acts as a wrapper for TCP daemons.
Name: tcp_wrappers-devel
Version: 7.6
Release: 4a
Copyright: Distributable
Group: System Environment/Daemons
Source: http://www.publicsource.apple.com/projects/darwin/1.3/source/other/tcp_wrappers-%{version}-4.tar.gz
BuildRoot: %{_tmppath}/%{name}-root

%description
The tcp_wrappers package provides small daemon programs which can
monitor and filter incoming requests for systat, finger, FTP, telnet,
rlogin, rsh, exec, tftp, talk and other network services.

Install the tcp_wrappers program if you need a security tool for
filtering incoming network services requests.

%prep
%setup -q -n tcp_wrappers-4

%build
make RC_ARCHS=ppc install

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_includedir}
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man{3,5,8}

cp /tmp/tcp_wrappers/Release/usr/local/share/man/man3/hosts_access.3 ${RPM_BUILD_ROOT}%{_mandir}/man3
ln -sf /usr/share/man/man5/hosts_access.5 ${RPM_BUILD_ROOT}%{_mandir}/man5/hosts.allow.5
ln -sf /usr/share/man/man5/hosts_access.5 ${RPM_BUILD_ROOT}%{_mandir}/man5/hosts.deny.5
cp /tmp/tcp_wrappers/Release/usr/local/lib/libwrap.a ${RPM_BUILD_ROOT}%{_libdir}
ranlib -s ${RPM_BUILD_ROOT}%{_libdir}/libwrap.a
cp /tmp/tcp_wrappers/Release/usr/local/include/tcpd.h ${RPM_BUILD_ROOT}%{_includedir}

cd tcp_wrappers
mv BLURB CHANGES README* DISCLAIMER Banners.Makefile ..

%clean
rm -rf ${RPM_BUILD_ROOT}
rm -rf /tmp/tcp_wrappers

%files
%defattr(-,root,wheel)
%doc BLURB CHANGES README* DISCLAIMER Banners.Makefile
%{_mandir}/man[35]/*
%{_includedir}/*
%{_libdir}/*

%changelog
* Mon May  7 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st build on MacOS X Release 10.0.02
- source file from darwin
- this is only for darwin

* Mon Feb  5 2001 Preston Brown <pbrown@redhat.com>
- fix gethostbyname to work better with dot "." notation (#16949)

* Sat Dec 30 2000 Jeff Johnson <jbj@redhat.com>
- permit hosts.{allow,deny} to be assembled from included components (#17795).
- permit '*' and '?' wildcard matches on hostnames (#17847).

* Sun Nov 19 2000 Bill Nottingham <notting@redhat.com>
- ia64 needs -fPIC too

* Mon Aug 14 2000 Jeff Johnson <jbj@redhat.com>
- remove utilities that expect /etc/inetd.conf (#16059).

* Thu Jul 27 2000 Jeff Johnson <jbj@redhat.com>
- security hardening (#11881).

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun  6 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Tue May 16 2000 Chris Evans <chris@ferret.lmh.ox.ac.uk>
- Make tcpd mode -rwx--x--x as a security hardening measure

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Mon Aug 23 1999 Jeff Johnson <jbj@redhat.com>
- add netgroup support (#3940).

* Wed May 26 1999 Jeff Johnson <jbj@redhat.com>
- compile on sparc with -fPIC.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Sat Aug 22 1998 Jeff Johnson <jbj@redhat.com>
- close setenv bug (problem #690)
- spec file cleanup

* Thu Jun 25 1998 Alan Cox <alan@redhat.com>
- Erp where did the Dec 05 patch escape to

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Dec 05 1997 Erik Troan <ewt@redhat.com>
- don't build setenv.o module -- it just breaks things

* Wed Oct 29 1997 Marc Ewing <marc@redhat.com>
- upgrade to 7.6

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>
- Upgraded to version 7.5
- Uses a build root
